<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_techno_transports', function (Blueprint $table) {
            $table->integer('id', true);
            $table->integer('presenter_type')->nullable();
            $table->string('presenter_fa', 100)->nullable();
            $table->string('company_type', 100)->nullable();
            $table->string('ceo_name', 300)->nullable();
            $table->string('ceo_cellphone', 300)->nullable();
            $table->string('name', 300)->nullable();
            $table->string('family', 300)->nullable();
            $table->string('telphone', 50)->nullable();
            $table->integer('province_id')->nullable();
            $table->string('province_fa', 300)->nullable();
            $table->text('address')->nullable();
            $table->string('idea_title', 300)->nullable();
            $table->text('file')->nullable();
            $table->integer('event_type')->nullable();
            $table->string('event_fa', 300)->nullable();
            $table->dateTime('created_at')->nullable();
            $table->dateTime('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_techno_transports');
    }
};
